package com.isartdigital.game.sprites;

import com.isartdigital.utils.game.BoxType;
import com.isartdigital.utils.game.factory.MovieClipAnimFactory;
import com.isartdigital.utils.game.StateGraphic;

	
/**
 * ...
 * @author Cindy Asselin de Beauville
 */
class Animation_titlecard extends StateGraphic 
{
	
	/**
	 * instance unique de la classe Animation_titlecard
	 */
	private static var instance: Animation_titlecard;
	
	/**
	 * Retourne l'instance unique de la classe, et la crée si elle n'existait pas au préalable
	 * @return instance unique
	 */
	public static function getInstance (): Animation_titlecard {
		if (instance == null) instance = new Animation_titlecard();
		return instance;
	}
	
	/**
	 * constructeur privé pour éviter qu'une instance soit créée directement
	 */
	private function new() 
	{
		super();
		factory = new MovieClipAnimFactory();
		boxType = BoxType.SIMPLE;
		
		init();
	}
	
	public function init() {
		start();
		setModeNormal();
	}
	
	override private function setModeNormal():Void {
		setState(DEFAULT_STATE, true);
		anim.scale.set(0.7, 0.7);
		untyped anim.animationSpeed = 0.15;
		super.setModeNormal();
	}
	
	/**
	 * détruit l'instance unique et met sa référence interne à null
	 */
	override public function destroy (): Void {
		instance = null;
	}

}